# xarray.Dataset.sortby

`Dataset.``sortby`(variables, ascending=True)

  Sort object by labels or values (along an axis).

  Sorts the dataset, either along specified dimensions, or according to values of 1-D dataarrays that share dimension with calling object.

  If the input variables are dataarrays, then the dataarrays are aligned (via left-join) to the calling object prior to sorting by cell values. NaNs are sorted to the end, following Numpy convention.

  If multiple sorts along the same dimension is given, numpy’s lexsort is performed along that dimension: https://docs.scipy.org/doc/numpy/reference/generated/numpy.lexsort.html and the FIRST key in the sequence is used as the primary sort key, followed by the 2nd key, etc.

  Parameters:

  variables: str, DataArray, or list of either

  > 1D DataArray objects or name(s) of 1D variable(s) in coords/data_vars whose values are used to sort the dataset.

  ascending: boolean, optional

  > Whether to sort by ascending or descending order.

  Returns:

  sorted: Dataset

  > A new dataset where all the specified dims are sorted by dim labels.